commit 8cd4f873
Moved the compile requirements instructions to a file
Changed files
| M | source/misc/docker/Dockerfile.Ubuntu14.04build_Standalone before |
| A | source/misc/standalone/compile_requirements.sh |
diff --git a/source/misc/docker/Dockerfile.Ubuntu14.04build_Standalone b/source/misc/docker/Dockerfile.Ubuntu14.04build_Standalone
index 77f0097..67c5317 100644
--- a/source/misc/docker/Dockerfile.Ubuntu14.04build_Standalone
+++ b/source/misc/docker/Dockerfile.Ubuntu14.04build_Standalone
@@ -2,24 +2,8 @@ FROM ubuntu:14.04
RUN apt-get update && apt-get install -y build-essential libboost-dev cmake pkg-config libboost-program-options-dev libfreetype6-dev libvorbis-dev libgl1-mesa-dev libutfcpp-dev zip gettext
-RUN mkdir -p /staging/deps && cd /staging/deps && curl https://libsdl.org/release/SDL2-2.0.5.tar.gz | tar -zx && cd SDL2-2.0.5 && ls -lrt
-RUN cd /staging/deps/SDL2-2.0.5 && ./configure --enable-shared --enable-static && make && make install
-
-#https://www.libsdl.org/projects/SDL_image/release/SDL2_image-2.0.1.tar.gz
-RUN mkdir -p /staging/deps && cd /staging/deps && curl https://www.libsdl.org/projects/SDL_image/release/SDL2_image-2.0.1.tar.gz | tar -zx && cd SDL2_image-2.0.1 && ls -lrt
-RUN cd /staging/deps/SDL2_image-2.0.1 && ./configure --enable-shared --enable-static && make && make install
-
-#https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-2.0.1.tar.gz
-RUN mkdir -p /staging/deps && cd /staging/deps && curl https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-2.0.1.tar.gz | tar -zx && cd SDL2_mixer-2.0.1 && ls -lrt
-RUN cd /staging/deps/SDL2_mixer-2.0.1 && ./configure --enable-shared --enable-static && make && make install
-
-#https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-2.0.14.tar.gz
-RUN mkdir -p /staging/deps && cd /staging/deps && curl https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-2.0.14.tar.gz | tar -zx && cd SDL2_ttf-2.0.14 && ls -lrt
-RUN cd /staging/deps/SDL2_ttf-2.0.14 && ./configure --enable-shared --enable-static && make && make install
-RUN mkdir -p /staging/blockattack-game
-
-RUN mkdir -p /staging/deps && cd /staging/deps && curl http://icculus.org/physfs/downloads/physfs-2.0.3.tar.bz2 | tar -jx && cd physfs-2.0.3 && ls -lrt
-RUN cd /staging/deps/physfs-2.0.3 && cmake . && make && make install
+COPY source/misc/standalone/compile_requirements.sh /
+RUN /compile_requirements.sh
COPY . /staging/blockattack-game
diff --git a/source/misc/standalone/compile_requirements.sh b/source/misc/standalone/compile_requirements.sh
new file mode 100755
index 0000000..21a0344
--- /dev/null
+++ b/source/misc/standalone/compile_requirements.sh
@@ -0,0 +1,22 @@
+#! /bin/bash
+set -e
+set -x
+
+mkdir -p /staging/deps && cd /staging/deps && curl https://libsdl.org/release/SDL2-2.0.5.tar.gz | tar -zx && cd SDL2-2.0.5 && ls -lrt
+cd /staging/deps/SDL2-2.0.5 && ./configure --enable-shared --enable-static && make && make install
+
+#https://www.libsdl.org/projects/SDL_image/release/SDL2_image-2.0.1.tar.gz
+mkdir -p /staging/deps && cd /staging/deps && curl https://www.libsdl.org/projects/SDL_image/release/SDL2_image-2.0.1.tar.gz | tar -zx && cd SDL2_image-2.0.1 && ls -lrt
+cd /staging/deps/SDL2_image-2.0.1 && ./configure --enable-shared --enable-static && make && make install
+
+#https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-2.0.1.tar.gz
+mkdir -p /staging/deps && cd /staging/deps && curl https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-2.0.1.tar.gz | tar -zx && cd SDL2_mixer-2.0.1 && ls -lrt
+cd /staging/deps/SDL2_mixer-2.0.1 && ./configure --enable-shared --enable-static && make && make install
+
+#https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-2.0.14.tar.gz
+mkdir -p /staging/deps && cd /staging/deps && curl https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-2.0.14.tar.gz | tar -zx && cd SDL2_ttf-2.0.14 && ls -lrt
+cd /staging/deps/SDL2_ttf-2.0.14 && ./configure --enable-shared --enable-static && make && make install
+mkdir -p /staging/blockattack-game
+
+mkdir -p /staging/deps && cd /staging/deps && curl http://icculus.org/physfs/downloads/physfs-2.0.3.tar.bz2 | tar -jx && cd physfs-2.0.3 && ls -lrt
+cd /staging/deps/physfs-2.0.3 && cmake . && make && make install